OpenSignals/instalace

Z Wikiverzity
Skočit na navigaci Skočit na vyhledávání
Jak používat klasifikační nálepkuTato stránka je součástí projektu:
Příslušnost: všeobecná

Podstránky[editovat]

Google Chrome[editovat]

Namísto grafických knihoven pro zobrazování OpenSignals funguje tak, že k tomu používá prohlížeč w: Google Chrome. Ten je zapotřebí nejdříve nainstalovat:

Ubuntu 64 bit[editovat]

  • google.com: Získejte rychlý a bezplatný webový prohlížeč – Stáhněte si Chrome
  • Save file (dle platformy, např.): google-chrome-stable_current_amd64.deb
  • Otevřít s: Centrum softwaru pro Ubuntu: google-chrome-stable'
    • 273,5 MB po instalaci
    • Nainstalovat
    • Nainstalováno
  • Spuštění: Internet -> WWW prohlížeč
    • anebo z řádky: google-chrome

Problémy[editovat]

  • V prostředí fvwm se okno Google Chrome nechová jako všechna ostatní okna – například nejde tažením za okraj okna upravovat rozměry v případě, že se pod ním nachází jiné okno

Ubuntu 32 bit[editovat]

Vyberte balíček ke stažení:

 64 bit .deb (Debian/Ubuntu)  64 bit .rpm (Fedora/openSUSE)

Používáte jinou distribuci než Debian/Ubuntu či Fedora/openSUSE? Možná pro vaši distribuci 
existuje verze podporovaná komunitou. Zkuste ji vyhledat zde.

Problémy[editovat]

32-bitovou verzi tu nikde nevidím :-(

Naštěstí dogůglím:

Mám hledat google-chrome-stable_48.0.2564.116-1_i386.deb

google-chrome-stable_48.0.2564.116-1_i386.deb	03-May-2016 10:46	45.3M
google-chrome-stable_48.0.2564.116-1_i386_archive.torrent	03-Jan-2017 11:24	3.7K
google-chrome-stable_48.0.2564.116-1_i386_files.xml	03-Jan-2017 11:24	1.5K
google-chrome-stable_48.0.2564.116-1_i386_meta.sqlite	03-May-2016 10:47	9.0K
google-chrome-stable_48.0.2564.116-1_i386_meta.xml	03-Jan-2017 11:24	1.1K
openssl md5 google-chrome-stable_48.0.2564.116-1_i386.deb
     895e877b9bfe5da05a061369c2078626
<md5>895e877b9bfe5da05a061369c2078626</md5>

md5sum google-chrome-stable_48.0.2564.116-1_i386.deb
Je požadována instalace neprověřených balíků
libappindicator1 libindicator7
Celková velikost: 187,3 MB po instalaci

Ale nenainstalovalo se, i když Centrum softwaru pro Ubuntu tvrdí, že se to nainstalovalo.

$ sudo dpkg -i google-chrome-stable_48.0.2564.116-1_i386.deb
[sudo] password for petr: 
Vybírám dosud nevybraný balík google-chrome-stable.
(Čtu databázi … nyní je nainstalováno 497937 souborů a adresářů.)
Připravuje se nahrazení google-chrome-stable_48.0.2564.116-1_i386.deb …
Rozbaluje se google-chrome-stable (48.0.2564.116-1) …
dpkg: nesplněné závislosti zamezily konfiguraci balíku google-chrome-stable:
 google-chrome-stable závisí na libappindicator1; avšak:
  Balík libappindicator1 není nainstalován.

dpkg: chyba při zpracovávání balíku google-chrome-stable (--install):
 problém se závislostmi - nechávám nezkonfigurované
Zpracovávají se spouštěče pro balík man-db (2.6.7.1-1ubuntu1) …
Zpracovávají se spouštěče pro balík desktop-file-utils (0.22-1ubuntu1.1) …
Zpracovávají se spouštěče pro balík gnome-menus (3.10.1-0ubuntu2) …
Zpracovávají se spouštěče pro balík mime-support (3.54ubuntu1.1) …
Při zpracování nastaly chyby:
 google-chrome-stable
petr@mi:/Data60G/mir/inst/GoogleChrome/48.0.2564.116-1_i386$ sudo apt-get install libappindicator1
Čtu seznamy balíků… Hotovo
Vytváří se strom závislostí       
Čtu stavové informace… Hotovo
Pro opravení následujících můžete spustit „apt-get -f install“:
Následující balíky mají nesplněné závislosti:
 libappindicator1 : Závisí na: libindicator7 (>= 0.4.90) ale nebude se instalovat
E: Nesplněné závislosti. Zkuste spustit „apt-get -f install“ bez balíků (nebo navrhněte řešení).
sudo apt-get -f install

Konečně!